Debian Bug report logs - #333462
r-base: build times out on hppa

version graph

Package: r-base; Maintainer for r-base is Dirk Eddelbuettel <edd@debian.org>; Source for r-base is src:r-base.

Reported by: Russ Allbery <rra@stanford.edu>

Date: Wed, 12 Oct 2005 01:48:01 UTC

Severity: serious

Fixed in version r-base/2.2.0.final-4

Done: Dirk Eddelbuettel <edd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, he@debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#333462; Package r-base. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@stanford.edu>:
New Bug report received and forwarded. Copy sent to he@debian.org, Dirk Eddelbuettel <edd@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@stanford.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: r-base: build times out on hppa
Date: Tue, 11 Oct 2005 18:43:07 -0700
Package: r-base
Severity: important

r-base is currently failing to build on hppa.  The tail end of the build
log is:

  make.packages.html                        html    latex
  nsl                                       html    latex
make[6]: Leaving directory `/build/buildd/r-base-2.2.0.final/src/library'
running code in 'utils-Ex.R' ...make[1]: *** [check] Terminated
make[2]: *** [test-all-basics] Terminated
make[3]: *** [test-Examples] Terminated
semop(2): encountered an error: Invalid argument
make: *** [check-stamp] Terminated
make[4]: *** [test-Examples-Base] Error 1
Build killed with signal 15 after 150 minutes of inactivity

Apparently either something about the package or something about the
buildd is causing the build to hang or take much too long at this point.

Could you investigate this?  rmpi is blocked on r-base, and rmpi is part
of the mpich/lam/hdf5 portion of the C++ migration.

Thanks!

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.30
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#333462; Package r-base. Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 333462@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Russ Allbery <rra@stanford.edu>, 333462@bugs.debian.org
Subject: Re: Bug#333462: r-base: build times out on hppa
Date: Tue, 11 Oct 2005 20:54:51 -0500
On 11 October 2005 at 18:43, Russ Allbery wrote:
| Package: r-base
| Severity: important
| 
| r-base is currently failing to build on hppa.  The tail end of the build
| log is:
| 
|   make.packages.html                        html    latex
|   nsl                                       html    latex
| make[6]: Leaving directory `/build/buildd/r-base-2.2.0.final/src/library'
| running code in 'utils-Ex.R' ...make[1]: *** [check] Terminated
| make[2]: *** [test-all-basics] Terminated
| make[3]: *** [test-Examples] Terminated
| semop(2): encountered an error: Invalid argument
| make: *** [check-stamp] Terminated
| make[4]: *** [test-Examples-Base] Error 1
| Build killed with signal 15 after 150 minutes of inactivity
| 
| Apparently either something about the package or something about the
| buildd is causing the build to hang or take much too long at this point.
| 
| Could you investigate this?  rmpi is blocked on r-base, and rmpi is part
| of the mpich/lam/hdf5 portion of the C++ migration.

Let's disable the regression test on hppa. I also do that for some other
r-cran-* packages on some other arches --- and it looks like we skip the test
on arm as well:

check: make-arch check-stamp
check-stamp: 
	@echo "*** check ***"
ifneq	($(arch),arm-linux)
	-make check
endif
	touch check-stamp

replacing the the ifneq line with

ifneq "$(findstring $(arch), hppa-linux arm-linux)" ""

should do.  Could you do that locally and create a -2.0.1 revision?  I don't
have time to work on hppa now, I'm afraid.

Thanks, Dirk

-- 
Statistics: The (futile) attempt to offer certainty about uncertainty.
         -- Roger Koenker, 'Dictionary of Received Ideas of Statistics'



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#333462; Package r-base. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@stanford.edu>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. Full text and rfc822 format available.

Message #15 received at 333462@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@stanford.edu>
To: Dirk Eddelbuettel <edd@debian.org>
Cc: 333462@bugs.debian.org
Subject: Re: Bug#333462: r-base: build times out on hppa
Date: Tue, 11 Oct 2005 18:58:01 -0700
Dirk Eddelbuettel <edd@debian.org> writes:

> Let's disable the regression test on hppa. I also do that for some other
> r-cran-* packages on some other arches --- and it looks like we skip the
> test on arm as well:

> check: make-arch check-stamp
> check-stamp: 
> 	@echo "*** check ***"
> ifneq	($(arch),arm-linux)
> 	-make check
> endif
> 	touch check-stamp

> replacing the the ifneq line with

> ifneq "$(findstring $(arch), hppa-linux arm-linux)" ""

> should do.  Could you do that locally and create a -2.0.1 revision?  I
> don't have time to work on hppa now, I'm afraid.

I'm afraid I'm not an hppa porter, but rather a volunteer to try to
coordinate the mpich/lam/hdf5 migration (and am not yet a Debian
developer).  However, I can (and will) ask on debian-release for someone
to take a look at this.

Thank you for the information and the fast response!

-- 
Russ Allbery (rra@stanford.edu)             <http://www.eyrie.org/~eagle/>



Severity set to `serious'. Request was from Russ Allbery <rra@stanford.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#333462; Package r-base. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. Full text and rfc822 format available.

Message #22 received at 333462@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 333462@bugs.debian.org
Subject: Re: r-base: build times out on hppa
Date: Sun, 23 Oct 2005 23:44:45 -0700
[Message part 1 (text/plain, inline)]
Hi Dirk,

This bug requires a sourceful upload, because it involves changes to
debian/rules.  Is there any chance of this happening soon?  This bug is the
only thing holding up the lam/mpich transition now.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#333462; Package r-base. Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #27 received at 333462@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Steve Langasek <vorlon@debian.org>, 333462@bugs.debian.org
Subject: Re: Bug#333462: r-base: build times out on hppa
Date: Mon, 24 Oct 2005 06:40:13 -0500
Hi Steve,

On 23 October 2005 at 23:44, Steve Langasek wrote:
| Hi Dirk,
| 
| This bug requires a sourceful upload, because it involves changes to
| debian/rules.  Is there any chance of this happening soon?

Can I do a 2.2.0.final-1.0.1 upload to declare the mod to be local to hppa,
or does this require a -2 version and a rebuild everywhere else too?

| This bug is the only thing holding up the lam/mpich transition now.

I can certainly release a new package revision, but I'd rather not force a
rebuild everywhere. Cluebat welcome.

Thanks, Dirk

-- 
Statistics: The (futile) attempt to offer certainty about uncertainty.
         -- Roger Koenker, 'Dictionary of Received Ideas of Statistics'



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#333462; Package r-base. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. Full text and rfc822 format available.

Message #32 received at 333462@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Dirk Eddelbuettel <edd@debian.org>
Cc: 333462@bugs.debian.org
Subject: Re: Bug#333462: r-base: build times out on hppa
Date: Mon, 24 Oct 2005 05:29:01 -0700
[Message part 1 (text/plain, inline)]
On Mon, Oct 24, 2005 at 06:40:13AM -0500, Dirk Eddelbuettel wrote:

> On 23 October 2005 at 23:44, Steve Langasek wrote:
> | Hi Dirk,

> | This bug requires a sourceful upload, because it involves changes to
> | debian/rules.  Is there any chance of this happening soon?

> Can I do a 2.2.0.final-1.0.1 upload to declare the mod to be local to hppa,
> or does this require a -2 version and a rebuild everywhere else too?

If you touch the package source, it must be rebuilt on all architectures. 
Both of the alternatives -- carrying around redundant sources, or having
binaries in the archive without corresponding sources -- are worse than the
impact of having to rebuild a package on all architectures.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#333462; Package r-base. Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #37 received at 333462@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 333462@bugs.debian.org
Subject: Re: Bug#333462: r-base: build times out on hppa
Date: Mon, 24 Oct 2005 09:40:23 -0500
On 24 October 2005 at 05:29, Steve Langasek wrote:
| On Mon, Oct 24, 2005 at 06:40:13AM -0500, Dirk Eddelbuettel wrote:
| 
| > On 23 October 2005 at 23:44, Steve Langasek wrote:
| > | Hi Dirk,
| 
| > | This bug requires a sourceful upload, because it involves changes to
| > | debian/rules.  Is there any chance of this happening soon?
| 
| > Can I do a 2.2.0.final-1.0.1 upload to declare the mod to be local to hppa,
| > or does this require a -2 version and a rebuild everywhere else too?
| 
| If you touch the package source, it must be rebuilt on all architectures. 
| Both of the alternatives -- carrying around redundant sources, or having
| binaries in the archive without corresponding sources -- are worse than the
| impact of having to rebuild a package on all architectures.

A new packages release (2.2.0.final-3) is on its way.

Dirk

-- 
Statistics: The (futile) attempt to offer certainty about uncertainty.
         -- Roger Koenker, 'Dictionary of Received Ideas of Statistics'



Reply sent to Dirk Eddelbuettel <edd@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Russ Allbery <rra@stanford.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 333462-close@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: 333462-close@bugs.debian.org
Subject: Bug#333462: fixed in r-base 2.2.0.final-3
Date: Mon, 24 Oct 2005 07:47:12 -0700
Source: r-base
Source-Version: 2.2.0.final-3

We believe that the bug you reported is fixed in the latest version of
r-base, which is due to be installed in the Debian FTP archive:

r-base-core_2.2.0.final-3_i386.deb
  to pool/main/r/r-base/r-base-core_2.2.0.final-3_i386.deb
r-base-dev_2.2.0.final-3_all.deb
  to pool/main/r/r-base/r-base-dev_2.2.0.final-3_all.deb
r-base-html_2.2.0.final-3_all.deb
  to pool/main/r/r-base/r-base-html_2.2.0.final-3_all.deb
r-base-latex_2.2.0.final-3_all.deb
  to pool/main/r/r-base/r-base-latex_2.2.0.final-3_all.deb
r-base_2.2.0.final-3.diff.gz
  to pool/main/r/r-base/r-base_2.2.0.final-3.diff.gz
r-base_2.2.0.final-3.dsc
  to pool/main/r/r-base/r-base_2.2.0.final-3.dsc
r-base_2.2.0.final-3_all.deb
  to pool/main/r/r-base/r-base_2.2.0.final-3_all.deb
r-doc-html_2.2.0.final-3_all.deb
  to pool/main/r/r-base/r-doc-html_2.2.0.final-3_all.deb
r-doc-info_2.2.0.final-3_all.deb
  to pool/main/r/r-base/r-doc-info_2.2.0.final-3_all.deb
r-doc-pdf_2.2.0.final-3_all.deb
  to pool/main/r/r-base/r-doc-pdf_2.2.0.final-3_all.deb
r-gnome_2.2.0.final-3_all.deb
  to pool/main/r/r-base/r-gnome_2.2.0.final-3_all.deb
r-mathlib_2.2.0.final-3_i386.deb
  to pool/main/r/r-base/r-mathlib_2.2.0.final-3_i386.deb
r-recommended_2.2.0.final-3_all.deb
  to pool/main/r/r-base/r-recommended_2.2.0.final-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 333462@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dirk Eddelbuettel <edd@debian.org> (supplier of updated r-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 24 Oct 2005 08:53:22 -0500
Source: r-base
Binary: r-base-core r-base-latex r-recommended r-doc-html r-doc-info r-base-dev r-mathlib r-base-html r-gnome r-doc-pdf r-base
Architecture: source all i386
Version: 2.2.0.final-3
Distribution: unstable
Urgency: low
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Changed-By: Dirk Eddelbuettel <edd@debian.org>
Description: 
 r-base     - GNU R statistical computing language and environment
 r-base-core - GNU R core of statistical computing language and environment
 r-base-dev - GNU R installation of auxiliary GNU R packages
 r-base-html - GNU R html docs for statistical computing system functions
 r-base-latex - GNU R LaTeX docs for statistical computing system functions
 r-doc-html - GNU R html manuals for statistical computing system
 r-doc-info - GNU R info manuals statistical computing system
 r-doc-pdf  - GNU R pdf manuals for statistical computing system
 r-gnome    - GNU R Gnome gui for statistical computing system
 r-mathlib  - GNU R standalone mathematics library
 r-recommended - GNU R collection of recommended packages [metapackage]
Closes: 333462
Changes: 
 r-base (2.2.0.final-3) unstable; urgency=low
 .
   * debian/rules: Skip 'make check' on hppa		(Closes: #333462)
Files: 
 80bc5e537a576457b91c983e1dfc4dba 1024 math optional r-base_2.2.0.final-3.dsc
 33243c5f5f90378077739f55071810e0 5793 math optional r-base_2.2.0.final-3.diff.gz
 eff82e3a3376ddb0318a76a23915c8e7 8675748 math optional r-base-core_2.2.0.final-3_i386.deb
 645a45719bc1152e579d72e6d431da1b 455302 math optional r-mathlib_2.2.0.final-3_i386.deb
 6297f674c228c1dd8e8c6752a002a0a5 20998 math optional r-base_2.2.0.final-3_all.deb
 ae27d4e1ac3535b9304fe0b8618ed9ef 21322 gnome optional r-gnome_2.2.0.final-3_all.deb
 7746038501666c22570ff858e2db4e2e 1454 devel optional r-base-dev_2.2.0.final-3_all.deb
 da8943357a4d51d8a29cf9dc940359ed 1047634 math extra r-base-html_2.2.0.final-3_all.deb
 1e071e5fdd5d09430a556db53820946f 981470 math extra r-base-latex_2.2.0.final-3_all.deb
 bf46b5ef896743f128ef5606d2a862ef 6334264 doc optional r-doc-pdf_2.2.0.final-3_all.deb
 2da503d78c461a5d92e14fa5c8459f06 447430 doc optional r-doc-html_2.2.0.final-3_all.deb
 ee028bb757ae2dd7e1300d24cd27c5e8 393860 doc optional r-doc-info_2.2.0.final-3_all.deb
 5c5aa42f179398d414ffc860696cae57 1928 math optional r-recommended_2.2.0.final-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDXO2MCZSR95Gw07cRAq0pAJ9qSJaF+n0loZx8twq23RiY1m3BuQCcDvnD
lI8CCHVxOQdmgg6zXwj39TU=
=unFq
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#333462; Package r-base. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. Full text and rfc822 format available.

Message #47 received at 333462@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 333462@bugs.debian.org
Cc: Dirk Eddelbuettel <edd@debian.org>
Subject: Re: Bug#333462: marked as done (r-base: build times out on hppa)
Date: Mon, 24 Oct 2005 16:03:19 -0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

reopen 333462
thanks

On Mon, Oct 24, 2005 at 08:34:48AM -0700, Debian Bug Tracking System wrote:

>  .
>    * debian/rules: Skip 'make check' on hppa		(Closes: #333462)

This didn't work:

http://buildd.debian.org/fetch.php?&pkg=r-base&ver=2.2.0.final-3&arch=hppa&stamp=1130176837&file=log&as=raw

- -- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDXWg3KN6ufymYLloRAsKlAKC43H+1BCTO89wMhW5i1s0N4lAaBACeL1/Y
dvX4zLXurIo1bUkLL7Lw4v4=
=REs/
-----END PGP SIGNATURE-----



Bug reopened, originator not changed. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#333462; Package r-base. Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #54 received at 333462@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 333462@bugs.debian.org
Subject: Re: Bug#333462: marked as done (r-base: build times out on hppa)
Date: Mon, 24 Oct 2005 18:57:08 -0500
On 24 October 2005 at 16:03, Steve Langasek wrote:
| On Mon, Oct 24, 2005 at 08:34:48AM -0700, Debian Bug Tracking System wrote:
| 
| >  .
| >    * debian/rules: Skip 'make check' on hppa		(Closes: #333462)
| 
| This didn't work:
| 
| http://buildd.debian.org/fetch.php?&pkg=r-base&ver=2.2.0.final-3&arch=hppa&stamp=1130176837&file=log&as=raw

Yup, as  ifneq  is wrong when I need  ifeq   -- rebuilding now.

Dirk

-- 
Statistics: The (futile) attempt to offer certainty about uncertainty.
         -- Roger Koenker, 'Dictionary of Received Ideas of Statistics'



Reply sent to Dirk Eddelbuettel <edd@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Russ Allbery <rra@stanford.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 333462-close@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: 333462-close@bugs.debian.org
Subject: Bug#333462: fixed in r-base 2.2.0.final-4
Date: Mon, 24 Oct 2005 18:02:14 -0700
Source: r-base
Source-Version: 2.2.0.final-4

We believe that the bug you reported is fixed in the latest version of
r-base, which is due to be installed in the Debian FTP archive:

r-base-core_2.2.0.final-4_i386.deb
  to pool/main/r/r-base/r-base-core_2.2.0.final-4_i386.deb
r-base-dev_2.2.0.final-4_all.deb
  to pool/main/r/r-base/r-base-dev_2.2.0.final-4_all.deb
r-base-html_2.2.0.final-4_all.deb
  to pool/main/r/r-base/r-base-html_2.2.0.final-4_all.deb
r-base-latex_2.2.0.final-4_all.deb
  to pool/main/r/r-base/r-base-latex_2.2.0.final-4_all.deb
r-base_2.2.0.final-4.diff.gz
  to pool/main/r/r-base/r-base_2.2.0.final-4.diff.gz
r-base_2.2.0.final-4.dsc
  to pool/main/r/r-base/r-base_2.2.0.final-4.dsc
r-base_2.2.0.final-4_all.deb
  to pool/main/r/r-base/r-base_2.2.0.final-4_all.deb
r-doc-html_2.2.0.final-4_all.deb
  to pool/main/r/r-base/r-doc-html_2.2.0.final-4_all.deb
r-doc-info_2.2.0.final-4_all.deb
  to pool/main/r/r-base/r-doc-info_2.2.0.final-4_all.deb
r-doc-pdf_2.2.0.final-4_all.deb
  to pool/main/r/r-base/r-doc-pdf_2.2.0.final-4_all.deb
r-gnome_2.2.0.final-4_all.deb
  to pool/main/r/r-base/r-gnome_2.2.0.final-4_all.deb
r-mathlib_2.2.0.final-4_i386.deb
  to pool/main/r/r-base/r-mathlib_2.2.0.final-4_i386.deb
r-recommended_2.2.0.final-4_all.deb
  to pool/main/r/r-base/r-recommended_2.2.0.final-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 333462@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dirk Eddelbuettel <edd@debian.org> (supplier of updated r-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 24 Oct 2005 18:59:16 -0500
Source: r-base
Binary: r-base-core r-base-latex r-recommended r-doc-html r-doc-info r-base-dev r-mathlib r-base-html r-gnome r-doc-pdf r-base
Architecture: source all i386
Version: 2.2.0.final-4
Distribution: unstable
Urgency: low
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Changed-By: Dirk Eddelbuettel <edd@debian.org>
Description: 
 r-base     - GNU R statistical computing language and environment
 r-base-core - GNU R core of statistical computing language and environment
 r-base-dev - GNU R installation of auxiliary GNU R packages
 r-base-html - GNU R html docs for statistical computing system functions
 r-base-latex - GNU R LaTeX docs for statistical computing system functions
 r-doc-html - GNU R html manuals for statistical computing system
 r-doc-info - GNU R info manuals statistical computing system
 r-doc-pdf  - GNU R pdf manuals for statistical computing system
 r-gnome    - GNU R Gnome gui for statistical computing system
 r-mathlib  - GNU R standalone mathematics library
 r-recommended - GNU R collection of recommended packages [metapackage]
Closes: 333462
Changes: 
 r-base (2.2.0.final-4) unstable; urgency=low
 .
   * debian/rules: Really skip 'make check' on hppa	(Closes: #333462)
Files: 
 06ad99c92ccd004034931d7591d58ab1 1024 math optional r-base_2.2.0.final-4.dsc
 c093fd6c54818ed387330a14b4177fe7 5935 math optional r-base_2.2.0.final-4.diff.gz
 4fcf941c94fe58e994779ee40939a329 8675752 math optional r-base-core_2.2.0.final-4_i386.deb
 7b024e3442615a470bd2def7334488be 455312 math optional r-mathlib_2.2.0.final-4_i386.deb
 c84cef871f265afbdba995be6042a8d6 21016 math optional r-base_2.2.0.final-4_all.deb
 996f00e088d3848fca93ea99fede2b59 21330 gnome optional r-gnome_2.2.0.final-4_all.deb
 5eb7ed4b08fcc8447a64333ee91a48e2 1448 devel optional r-base-dev_2.2.0.final-4_all.deb
 8e77477d379b08332f6c4a852fbeb89e 1047674 math extra r-base-html_2.2.0.final-4_all.deb
 20cdc1867c094350f0c19e2ab89ec1dd 981536 math extra r-base-latex_2.2.0.final-4_all.deb
 1b23f45bfddc00e3bc0d68acedec6771 6334300 doc optional r-doc-pdf_2.2.0.final-4_all.deb
 8e971818a29642c05e342b1b8e7b6440 447460 doc optional r-doc-html_2.2.0.final-4_all.deb
 80cddcf6191cec31d8562344240e9974 393872 doc optional r-doc-info_2.2.0.final-4_all.deb
 5d979007e83947cabf3d59674e232eb4 1926 math optional r-recommended_2.2.0.final-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDXX8+CZSR95Gw07cRAtrdAJ982UgiBgs2o552eYF0shCpohyJpgCcDUyW
dRUrcUvQLEKuANtTFBoqfpo=
=H7DY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 04:04:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:05:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.